Package org.opensaml.soap.soap11.profile.impl

# Class AddSOAPFault.FaultCodeMappingFunction

java.lang.Object
org.opensaml.soap.soap11.profile.impl.AddSOAPFault.FaultCodeMappingFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,QName>`

Enclosing class:
  AddSOAPFault

public static class AddSOAPFault.FaultCodeMappingFunction extends Object implements Function<ProfileRequestContext,QName>
A default method to map event IDs to faultcode QName based on `EventContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<String,QName>`
`codeMappings`
Code mappings.
`private Function<ProfileRequestContext,EventContext>`
`eventContextLookupStrategy`
Strategy function for access to `EventContext` to check.

## Constructor Summary

Constructors
Constructor
Description
`FaultCodeMappingFunction(Map<String,QName> mappings)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`QName`
`apply(ProfileRequestContext input)`
`void`
`setEventContextLookupStrategy(Function<ProfileRequestContext,EventContext> strategy)`
Set lookup strategy for `EventContext` to check.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### codeMappings

@Nonnull private Map<String,QName> codeMappings
Code mappings.

### eventContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,EventContext> eventContextLookupStrategy
Strategy function for access to `EventContext` to check.

## Constructor Details

### FaultCodeMappingFunction

public FaultCodeMappingFunction(@Nonnull Map<String,QName> mappings)
Constructor.

Parameters:
  `mappings` - the status code mappings to use

## Method Details

### setEventContextLookupStrategy

public void setEventContextLookupStrategy(@Nonnull Function<ProfileRequestContext,EventContext> strategy)
Set lookup strategy for `EventContext` to check.

Parameters:
  `strategy` - lookup strategy

### apply

@Nullable public QName apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,QName>`